<form>
    <div>
        <h3>{{titleModal}}</h3>
    </div>
    <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col">
            <mat-form-field dividerColor="primary">
                <input   [formControl]="validateFilters.get('rol')" #rol matInput placeholder="Rol" class=""
                maxlength="50" autocomplete="off"
                (input)="validateSize('Rol', validateFilters.get('rol').value, 50)">
            </mat-form-field>
        </div>
        <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col" *ngIf="statusActivated">
            <mat-form-field>
                <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                    <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                        {{option.label}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div align="end">
        <button mat-raised-button color="primary" (click)="option();" type="submit" class="space-buttom">Guardar</button>
        <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
    </div>
</form>